CGVIEW_COMPARISON_TOOL(1)

NAME
cgview_comparison_tool - visually comparing bacterial, plasmid, chloroplast, or mitochondrial sequences

DESCRIPTION

  USAGE:

    cgview_comparison_tool -p DIR [options]

  DESCRIPTION:

    Run this command once to generate a project directory. After the project is created place a reference genome in the reference_genome directory and any genomes to compare with the reference in the comparison_genomes directory.

    [Optional] Make changes to the project_settings.conf file to configure how the maps will be drawn. Add additional GFF files to the features and analyis directories.

    Draw maps by running this command again with the '-p' option pointing to the project directory.

  REQUIRED ARGUMENTS:

-p, --project DIR

    If no project exists yet, a blank project directory will be created. If the project exists, maps will be created.

OPTIONAL ARGUMENTS:

-s, --settings FILE

    The settings file. If none is provided, the default settings file will be copied from $CCT_HOME/conf/project_settings.conf to the project directory.

-g, --config FILE

    The configuration file. The default is to use the $CCT_HOME/conf/global_settings.conf file.

-z, --map_size STRING

    Size of custom maps to create. For quickly generating new map sizes, use this option with the --start_at_xml option. Possible sizes include small/medium/large/x-large or a combination separated by commas (e.g. small,large). The size(s) provided will override the size(s) in the configuration files.

-x, --start_at_xml

    Jump to XML generation. Skips performing blast, which can speed map generation if blast has already been done. This option is for creating new maps after making changes to the .conf files. Note that any changes in the .conf files related to blast will be ignored.

-r, --start_at_map

    Start at map generation. Skips performing blast and generating XML. Useful if manual changes to the XML files have been made or if creating new map sizes (see --map_size).

-f, --map_prefix STRING

    Prefix to be appended to map names (Default is to add no additional prefix).

-b, --max_blast_comparisons INTEGER

    The maximum number of BLAST results sets to be passed to the XML creation phase (Default is 100).

-t, --sort_blast_tracks

    Sort BLAST results such that genomes with highest similarity are plotted first.

--cct

    Colour BLAST results based on percent identity of hit instead of by source genome, and ignore 'use_opacity' setting in configuration file.

-m, --memory STRING

    Memory string to pass to Java's '-Xmx' option (Default is 1500m).

-c, --custom STRINGS

    Settings used to customize the appearance of the map.

-h, --help

    Show this message.

  EXAMPLE:

    cgview_comparison_tool -p my_project -b 50 -t \

--custom tickLength=20 labelFontSize=15 --map_size medium,x-large

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.